"""
Pandas groupby functions.
"""
import pandas as pd

from .base import _make_pipeable_pandas

Agg = _make_pipeable_pandas('agg', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Aggregate = _make_pipeable_pandas('aggregate', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
All = _make_pipeable_pandas('all', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Any = _make_pipeable_pandas('any', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Apply = _make_pipeable_pandas('apply', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Backfill = _make_pipeable_pandas('backfill', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Bfill = _make_pipeable_pandas('bfill', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
# Boxplot = _make_pipeable_pandas('boxplot', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Corr = _make_pipeable_pandas('corr', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Corrwith = _make_pipeable_pandas('corrwith', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Count = _make_pipeable_pandas('count', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cov = _make_pipeable_pandas('cov', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cumcount = _make_pipeable_pandas('cumcount', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cummax = _make_pipeable_pandas('cummax', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cummin = _make_pipeable_pandas('cummin', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cumprod = _make_pipeable_pandas('cumprod', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Cumsum = _make_pipeable_pandas('cumsum', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Describe = _make_pipeable_pandas('describe', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Diff = _make_pipeable_pandas('diff', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Dtypes = _make_pipeable_pandas('dtypes', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Expanding = _make_pipeable_pandas('expanding', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Ffill = _make_pipeable_pandas('ffill', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Fillna = _make_pipeable_pandas('fillna', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Filter = _make_pipeable_pandas('filter', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
First = _make_pipeable_pandas('first', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Get_group = _make_pipeable_pandas('get_group', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Groups = _make_pipeable_pandas('groups', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
# Head = _make_pipeable_pandas('head', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
# Hist = _make_pipeable_pandas('hist', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Idxmax = _make_pipeable_pandas('idxmax', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Idxmin = _make_pipeable_pandas('idxmin', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Indices = _make_pipeable_pandas('indices', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Last = _make_pipeable_pandas('last', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Mad = _make_pipeable_pandas('mad', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Max = _make_pipeable_pandas('max', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Mean = _make_pipeable_pandas('mean', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Median = _make_pipeable_pandas('median', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Min = _make_pipeable_pandas('min', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Ndim = _make_pipeable_pandas('ndim', parent_class=pd.core.groupby.generic.DataFrameGroupBy, is_property=True)
Ngroup = _make_pipeable_pandas('ngroup', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Ngroups = _make_pipeable_pandas('ngroups', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Nth = _make_pipeable_pandas('nth', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Nunique = _make_pipeable_pandas('nunique', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Ohlc = _make_pipeable_pandas('ohlc', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Pad = _make_pipeable_pandas('pad', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Pct_change = _make_pipeable_pandas('pct_change', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Pipe = _make_pipeable_pandas('pipe', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
# Plot = _make_pipeable_pandas('plot', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Prod = _make_pipeable_pandas('prod', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Quantile = _make_pipeable_pandas('quantile', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Rank = _make_pipeable_pandas('rank', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Resample = _make_pipeable_pandas('resample', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Rolling = _make_pipeable_pandas('rolling', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Sem = _make_pipeable_pandas('sem', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Shift = _make_pipeable_pandas('shift', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Size = _make_pipeable_pandas('size', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Skew = _make_pipeable_pandas('skew', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Std = _make_pipeable_pandas('std', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Sum = _make_pipeable_pandas('sum', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Tail = _make_pipeable_pandas('tail', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Take = _make_pipeable_pandas('take', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Transform = _make_pipeable_pandas('transform', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Tshift = _make_pipeable_pandas('tshift', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
Var = _make_pipeable_pandas('var', parent_class=pd.core.groupby.generic.DataFrameGroupBy)
